<div class="page-wrapper p-t-50 p-b-100 font-robo">
  <div class="wrapper wrapper--w960">
    <div class="card card-2">
      <div class="card-heading"></div>
      <div class="card-body">
        <h2 class="title">Registration Info</h2>
        <form [formGroup]="registerForm" (ngSubmit)="onSignUp()">

          <div class="form-group radio-group rg-flex">
            <input value="user" type="radio" id="user" name="role" formControlName="role">
            <label for="user">Create User Profile</label>

            <input type="radio" id="restaurant" value="restaurant" name="role" formControlName="role">
            <label for="restaurant">Create Restaurant Profile</label>
          </div>

          <div class="form-group input-group">
            <input class="input--style-2" type="text" placeholder="Name" formControlName="displayName" required>
          </div>
          <div class="form-group input-group">
            <input class="input--style-2" type="text" placeholder="Email"formControlName="email" required email>
          </div>
          <div class="form-group input-group">
            <input class="input--style-2" type="text" placeholder="Address" formControlName="address" required>
          </div>
          <div class="form-group input-group">
            <input class="input--style-2" type="password" placeholder="Password" formControlName="password" required>
          </div>


          <div class="form-group p-t-30 ">
            <button class="btn btn--radius btn--green"
                    type="submit"
                    [disabled]="registerForm.invalid">
              Register
            </button>
          </div>
          <br>
          <br>

          <!-- Already Registered -->
          <div class="text-center w-100">
            <p class="text-muted font-weight-bold">Already Registered?
              <a href="#" routerLink="/login" class="text-primary ml-2">Login</a></p>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>

